package entities;

import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.PrePersist;

@Entity
public class EntityWithCallBackListeners extends MSCWithCallBackListeners implements Serializable {

    @Id
    private Long id;
    
    public EntityWithCallBackListeners() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    @PrePersist
    public void prePersistFromAnnotation(){
        System.out.println("In Method - prePersistFromAnnotation");
    }

    public void prePersistFromXML(){
        System.out.println("In Method - prePersistFromXML");
    }

    public int hashCode() {
        int hash = 0;
        hash += (this.id != null ? this.id.hashCode() : 0);
        return hash;
    }

    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof EntityWithCallBackListeners)) {
            return false;
        }
        EntityWithCallBackListeners other = (EntityWithCallBackListeners)object;
        if (this.id != other.id && (this.id == null || !this.id.equals(other.id))) return false;
        return true;
    }

    public String toString() {
        return "entities.nocallbacklistenerannotations.EntityWithNoCallBackAnnotations[id=" + id + "]";
    }
    
}
