package entities;

import java.io.Serializable;
import javax.persistence.MappedSuperclass;
import javax.persistence.PostPersist;

@MappedSuperclass
public class MSCWithCallBackListeners implements Serializable {
    
    private String someField;
    
    public MSCWithCallBackListeners() {
    }
    
    @PostPersist
    public void postPersistFromAnnotation(){
        System.out.println("In Method - postPersistFromAnnotation");
    }
    
    public void postPersistFromXML(){
        System.out.println("In Method - postPersistFromXML");
    }
    
    public String toString() {
        return "entities.nocallbacklistenerannotations.MappedSuperClassWithNoCallBackAnnotations";
    }
    
    public String getSomeField() {
        return someField;
    }
    
    public void setSomeField(String someField) {
        this.someField = someField;
    }

}
