package tests;

import entities.EntityWithCallBackListeners;
import javax.persistence.EntityManager;
import javax.persistence.EntityManagerFactory;
import javax.persistence.Persistence;

public class TestsRunner {

    private EntityManagerFactory emf;
    private static final Long ID = 13340l;

    public static void main(String args[]){
        new TestsRunner().test();
    }
    
    public void test() {
        try {
            emf = Persistence.createEntityManagerFactory("callback-listeners");
            persistEntity();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
    
    private void persistEntity() {
        EntityManager em = emf.createEntityManager();
        
        EntityWithCallBackListeners entity = new EntityWithCallBackListeners();
        
        entity.setId(ID);
        entity.setSomeField("SomeValue");
        
        em.getTransaction().begin();
        em.persist(entity);
        em.getTransaction().commit();
    }

}
